Permalink
Browse files

require `fbjs/lib/invariant`, not `invariant`

Summary: `invariant` is only available in open source because we install it as a transitive dependency into node_modules

Reviewed By: jeanlauliac

Differential Revision: D4745582

fbshipit-source-id: 27c49b576254c8d1d667dea7097d16cdd1205daf
  • Loading branch information...
davidaurelio authored and facebook-github-bot committed Mar 21, 2017
1 parent 2f69c5f commit 80e1dbf69227af7a16932a7f443e116799811a3b
Showing with 1 addition and 1 deletion.
  1. +1 −1 Libraries/Utilities/DeviceInfo.js
@@ -13,7 +13,7 @@
const DeviceInfo = require('NativeModules').DeviceInfo;
const invariant = require('invariant');
const invariant = require('fbjs/lib/invariant');
invariant(DeviceInfo, 'DeviceInfo native module is not installed correctly');

0 comments on commit 80e1dbf

Please sign in to comment.